* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}

html,
body {
  width: 100vw;
  height: 100vh;
  background: #646464;
}

body {
  display: flex;
  justify-content: center;
}

.portal-page-content {
  width: 1100px;
  height: 100%;
  background: #fff;
  display: flex;
  flex-direction: column;
}

.portal-page-content .portal-page-nav {
  width: 100%;
  height: 40px;
  flex-shrink: 0;
  background-color: #0587ff;
  color: #fff;
  font-size: 20px;
  line-height: 40px;
  /* font-weight: bold; */
  padding-left: 25px;
}

    .portal-page-content .portal-page-menu {
        display: flex;
        flex-direction: column;
        align-items: center;
        flex: 1;
        overflow-y: auto;
        padding: 10px 10px;
    }

/* .portal-page-content .portal-page-menu::-webkit-scrollbar {
  display: none;
} */

.portal-page-content .portal-page-menu .portal-page-menu-row {
  width: 100%;
  display: flex;
  /* background: #cfcfcf; */
}

.portal-page-content .portal-page-menu .portal-page-menu-row .portal-page-menu-item {
  flex: 1;
  position: relative;
  margin: 5px;
}

.portal-page-content .portal-page-menu-item .menu-placeholder {
  width: 100%;
  height: 0;
  padding-bottom: 100%;
}

.portal-page-content .portal-page-menu-item .menu-content {
    width: 100%;
    height: 100%;
    padding: 5%;
    position: absolute;
    left: 0;
    top: 0;
    z-index: 1;
}

.portal-page-content .portal-page-menu-item .menu-content a {
    display: block;
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    align-items: center;
    text-decoration: none;
    color: #265d81 !important;
}

.portal-page-content .portal-page-menu-item .menu-content img {
display: block;
width: 50%;
height: 50%;
}

.portal-page-content .portal-page-menu-item .menu-content .menu-text {
    width: 100%;
    height: 30%;
    font-size: 16px;
    font-weight: bold;
    text-align: center;
    white-space: nowrap;
    word-break: break-all;
    overflow: hidden;
    text-overflow: ellipsis;
}

.portal-page-content .portal-page-footer {
  width: 100%;
  height: 25px;
  flex-shrink: 0;
  text-align: center;
  font-size: 12px;
  line-height: 25px;
  background: #f2f2f2;
}

@media (max-width: 1000px) {
  .portal-page-content {
    width: 100%;
  }

  .portal-page-content .portal-page-menu {
    padding: 3%;
  }

  .portal-page-content .portal-page-menu-item .menu-content .menu-text {
    font-size: 12px;
  }
}

@media (min-width: 1000px) and (max-width: 1200px){
  .portal-page-content {
    width: 90%;
  }

  .portal-page-content .portal-page-menu {
    padding: 4% 6%;
  }

  .portal-page-content .portal-page-menu-item .menu-content .menu-text {
    font-size: 14px;
  }
}

@media (min-width: 1200px) and (max-width: 1500px) {
  .portal-page-content {
    width: 85%;
  }

  .portal-page-content .portal-page-menu {
    padding: 4% 6%;
  }
  
  .portal-page-content .portal-page-menu-item .menu-content .menu-text {
    font-size: 14px;
  }
}